EventObject (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class EventObject

    java.lang.Object
      java.util.EventObject

Direct Known Subclasses:
  Event, HttpSessionEvent, ServletContextEvent, ServletRequestEvent

    @TransactionType(value=SUPPORTS)
    public class EventObject

extends Object

The root class from which all event state objects shall be derived.

All Events are constructed with a reference to the object, the "source", that is logically deemed to be the object upon which the Event in question initially occurred upon.

Since:
  JDK1.1, Foundation Profile 1.0, Java Card 3.0

Field Summary
`protected Object` | `source` The object on which the Event initially occurred.

Constructor Summary
`EventObject(Object source)` Constructs a prototypical Event.

Method Summary
`Object` | `getSource()` The object on which the Event initially occurred.
`String` | `toString()` Returns a String representation of this EventObject.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected transient Object source

  The object on which the Event initially occurred.

Constructor Detail

### EventObject

    public EventObject(Object source)

  Constructs a prototypical Event.

  Parameters:
    `source` - The object on which the Event initially occurred.
  Throws:
    `IllegalArgumentException` - if source is null.

Method Detail

### getSource

    public Object getSource()

  The object on which the Event initially occurred.

  Returns:
    The object on which the Event initially occurred.

### toString

    public String toString()

  Returns a String representation of this EventObject.

  Overrides:
    `toString` in class `Object`
  Returns:
    A a String representation of this EventObject.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.